## org.apache.sling.scripting.console.internal
Class ScriptConsolePlugin

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.felix.webconsole.AbstractWebConsolePlugin
                  org.apache.felix.webconsole.SimpleWebConsolePlugin
                      org.apache.sling.scripting.console.internal.ScriptConsolePlugin

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    @Service
    @Property(name="felix.webconsole.label",
              value="scriptconsole")
    public class ScriptConsolePlugin

extends org.apache.felix.webconsole.SimpleWebConsolePlugin

See Also:
  Serialized Form

Field Summary
`static String` `NAME`

Fields inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin
`ATTR_FILEUPLOAD, GET_RESOURCE_METHOD_NAME`

Constructor Summary
`ScriptConsolePlugin()`

Method Summary
`void` `activate(org.osgi.framework.BundleContext bundleContext)`
`void` `deactivate()`
`protected void` `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected void` `renderContent(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.apache.felix.webconsole.SimpleWebConsolePlugin
`getCssReferences, getLabel, getResource, getService, getTitle, register, unregister`

Methods inherited from class org.apache.felix.webconsole.AbstractWebConsolePlugin
`doGet, endResponse, getBrandingPlugin, getBundle, getBundleContext, getParameter, getResourceProvider, getServletName, isHtmlRequest, log, log, readTemplateFile, renderTopNavigation, sendRedirect, setBrandingPlugin, setLogLevel, startResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### ScriptConsolePlugin

    public ScriptConsolePlugin()

Method Detail

### renderContent

    protected void renderContent(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws javax.servlet.ServletException,
                                 IOException

  Specified by:
    `renderContent` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest req,
                          javax.servlet.http.HttpServletResponse resp)
                   throws javax.servlet.ServletException,
                          IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

### activate

    @Activate
    public void activate(org.osgi.framework.BundleContext bundleContext)

  Overrides:
    `activate` in class `org.apache.felix.webconsole.AbstractWebConsolePlugin`

### deactivate

    @Deactivate
    public void deactivate()

  Overrides:
    `deactivate` in class `org.apache.felix.webconsole.SimpleWebConsolePlugin`

Copyright © 2007-2013 The Apache Software Foundation. All Rights Reserved.